Name:           libmodplug
Version:        0.8.9.0
Release:        10
Epoch:          1
Summary:        The library which was part of the Modplug-xmms project
License:        Public Domain
URL:            http://modplug-xmms.sourceforge.net/
Source0:        http://downloads.sourceforge.net/modplug-xmms/libmodplug-%{version}.tar.gz

BuildRequires:  gcc gcc-c++

Suggests:       %{_sysconfdir}/timidity.cfg

%description
The library which was part of the Modplug-xmms project.

%package        devel
Summary:        The library which was part of the Modplug-xmms project
Requires:       libmodplug = %{epoch}:%{version}-%{release} gcc-c++

%description    devel
The library which was part of the Modplug-xmms project.

%prep
%autosetup -p1
sed -i -e 's/\r//g' ChangeLog

%build
%configure
%make_build V=1

%install
%make_install
%delete_la

%check
make check

%post 
/sbin/ldconfig
%postun
/sbin/ldconfig

%files
%doc AUTHORS ChangeLog README TODO COPYING
%{_libdir}/libmodplug.so.*

%files devel
%{_includedir}/libmodplug/
%{_libdir}/libmodplug.so
%{_libdir}/pkgconfig/libmodplug.pc

%changelog
* Fri Feb 14 2020 zhouyihang <zhouyihang1@huawei.com> - 1:0.8.9.0-10
- Package init
